"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getServerAssemblies = exports.getDeploymentId = void 0;

var _interopRequireDefault = _interopRequireDefault2(require("@babel/runtime/helpers/interopRequireDefault"));

function _interopRequireDefault2(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
const varName = 'RESOLVE_DEPLOYMENT_ID';

const getDeploymentId = () => {
  const deploymentId = process.env[varName];

  if (deploymentId == null || deploymentId.trim() === '') {
    throw Error(`Cannot determine cloud deployment id, check ${varName} lambda env var`);
  }

  return deploymentId;
};

exports.getDeploymentId = getDeploymentId;

const getServerAssemblies = handlerPath => // eslint-disable-next-line @typescript-eslint/no-var-requires
(0, _interopRequireDefault.default)(require(handlerPath)).default;

exports.getServerAssemblies = getServerAssemblies;
//# sourceMappingURL=utils.js.map